textures/hmcar1/voypower
{
    q3map_surfacelight 600
    surfaceparm nolightmap
    {
        map textures/hmcar1/voypower.tga
    }
}

textures/hmcar1/keypad
{
    q3map_surfacelight 600
    surfaceparm nolightmap
    {
        map textures/hmcar1/keypad.tga
    }
}

textures/hmcar1/virtscreen
{
    q3map_surfacelight 600
    surfaceparm nolightmap
    {
        map textures/hmcar1/virtscreen.tga
    }
}

textures/hmcar1/coresta
{
    q3map_surfacelight 600
    surfaceparm nolightmap
    {
        map textures/hmcar1/coresta.tga
    }
}

textures/hmcar1/redhalllight
{
    q3map_surfacelight 700
    surfaceparm nolightmap
    {
        map textures/hmcar1/redhalllight.tga
    }
}

textures/hmcar1/facetlight
{
    qer_editorimage textures/hmcar1/primaryhall_basiclight2.tga
    q3map_surfacelight 400
    surfaceparm nolightmap
    {
        map textures/hmcar1/primaryhall_basiclight2.tga
    }
}

textures/hmcar1/overview
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/overview.tga
    }
    {
        animMap 1 textures/hmcar1/overview_ctrl.tga textures/hmcar1/overview_str.tga textures/hmcar1/overview_comm.tga textures/hmcar1/overview_cor.tga 
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 3 3
    }
}

textures/hmcar1/sidepanel
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/hmcar1/sidepanel.tga
        alphaFunc GT0
        blendFunc GL_ONE GL_SRC_COLOR
    }
}

textures/hmcar1/fog
{
    qer_editorimage textures/borg/fog.tga
    qer_nocarve
    surfaceparm fog
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nodrop
    cull disable
    fogparms ( 0.2 0.4 0.9 ) 128
}

textures/hmcar1/upperwall
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/upperwall.tga
    }
}

textures/hmcar1/upperwall_shiny
{
    qer_editorimage textures/hmcar1/upperwall.tga
    surfaceparm nolightmap
    {
        map textures/hmcar1/upperwall.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 0.5 1
    }
}

textures/hmcar1/upperwall_lightmap
{
    qer_editorimage textures/hmcar1/upperwall.tga
    {
        map textures/hmcar1/upperwall.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/hmcar1/upperlight
{
    q3map_surfacelight 700
    surfaceparm nolightmap
    {
        map textures/hmcar1/upperlight.tga
    }
}

textures/hmcar1/screen1
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/screen1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
        tcMod scale 4 4
    }
}

textures/hmcar1/screen2
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/screen2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/monet
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/monet.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/console2_1
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/console2_1.tga
    }
    {
        map textures/hmcar1/console2_2.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0 1 0 1
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/black_shiny
{
    qer_editorimage textures/common/black.tga
    surfaceparm nolightmap
    {
        map textures/common/black.tga
        tcMod scale 6 6
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/console1_1
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/console1_1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/console1_2
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/console1_2.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/monitor1
{
    surfaceparm nolightmap
    {
        map textures/hmcar1/monitor1.tga
    }
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
        tcGen environment
    }
}

textures/hmcar1/labs
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/hmcar1/labs.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/hmcar1/xcom_lcars3
{
    qer_editorimage textures/hmcar1/xcomlcars3.tga
    surfaceparm nolightmap
    {
        map textures/hmcar1/xcomlcars3.tga
    }
    {
        map textures/detail/gleam2.tga
        blendFunc GL_ONE GL_ONE
        rgbGen identity
        tcGen environment
    }
}

textures/hmcar1/banner
{
    surfaceparm nomarks
    surfaceparm nolightmap
    deformVertexes wave 100 sin 0 4 0 0.75
    tessSize 192
    {
        map textures/hmcar1/banner.tga
    }
}

textures/hmcar1/fog_weak
{
    qer_editorimage textures/borg/fog.tga
    qer_nocarve
    surfaceparm fog
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nodrop
    cull disable
    fogparms ( 0.2 0.4 0.9 ) 800
}

